
BUILT_SOURCES = marshal_funcs.h
CLEANFILES = marshal_funcs.h marshal_funcs_doc.html marshal_funcs_doc.xml

doc: marshal_funcs_doc.html

marshal_funcs.h marshal_funcs.xml: $(srcdir)/marshal_funcs.data
	$(PYTHON) $(srcdir)/gen_marshal_code.py $(srcdir)/marshal_funcs.data marshal_funcs.h marshal_funcs_doc.xml

marshal_funcs_doc.html: $(srcdir)/marshal_funcs_doc.xsl marshal_funcs_doc.xml
	$(XSLTPROC) $(srcdir)/marshal_funcs_doc.xsl marshal_funcs_doc.xml >marshal_funcs_doc.html

INCLUDES = $(PYTHONINC) $(all_includes)

pythlib_LTLIBRARIES = pcop.la
pythlibdir = $(PYTHONMODDIR)/site-packages

pcop_la_SOURCES = pcop.cpp marshaller.cpp importedmodules.cpp
pcop_la_LDFLAGS = $(all_libraries) -module -avoid-version
pcop_la_LIBADD = -lDCOP -lkdecore $(LIB_QT)

noinst_HEADERS = pcop.h marshaller.h marshal_funcs.h importedmodules.h



